Debian 9899 Published by

The following updates has been released for Debian 8 and 9:

[DSA 3904-2] bind9 regression update
[DSA 3917-1] catdoc security update



[DSA 3904-2] bind9 regression update

- -------------------------------------------------------------------------
Debian Security Advisory DSA-3904-2 security@debian.org
https://www.debian.org/security/ Yves-Alexis Perez
July 23, 2017 https://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package : bind9
Debian Bug : 868952

The security update announced as DSA-3904-1 in bind9 introduced a regression.
The fix for CVE-2017-3142 broke verification of TSIG signed TCP message
sequences where not all the messages contain TSIG records. This is conform to
the spec and may be used in AXFR and IXFR response.

For the oldstable distribution (jessie), this problem has been fixed
in version 1:9.9.5.dfsg-9+deb8u13.

For the stable distribution (stretch), this problem has been fixed in
version 1:9.10.3.dfsg.P4-12.3+deb9u2.

For the testing distribution (buster), this problem has been fixed
in version 1:9.10.3.dfsg.P4-12.5.

For the unstable distribution (sid), this problem has been fixed in
version 1:9.10.3.dfsg.P4-12.5.

We recommend that you upgrade your bind9 packages.

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/

[DSA 3917-1] catdoc security update

- -------------------------------------------------------------------------
Debian Security Advisory DSA-3917-1 security@debian.org
https://www.debian.org/security/ Salvatore Bonaccorso
July 23, 2017 https://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package : catdoc
CVE ID : CVE-2017-11110
Debian Bug : 867717

A heap-based buffer underflow flaw was discovered in catdoc, a text
extractor for MS-Office files, which may lead to denial of service
(application crash) or have unspecified other impact, if a specially
crafted file is processed.

For the oldstable distribution (jessie), this problem has been fixed
in version 0.94.4-1.1+deb8u1.

For the stable distribution (stretch), this problem has been fixed in
version 1:0.94.3~git20160113.dbc9ec6+dfsg-1+deb9u1.

For the testing distribution (buster), this problem has been fixed
in version 1:0.95-3.

For the unstable distribution (sid), this problem has been fixed in
version 1:0.95-3.

We recommend that you upgrade your catdoc packages.

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/